package com.zd.exam.domain;

import com.zd.common.core.annotation.Excel;
import com.zd.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 考试证书关联对象 el_exam_cert_relation
 *
 * @author zd
 * @date 2021-09-10
 */
@ApiModel("考试证书关联")
public class ElExamCertRelation extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    @ApiModelProperty(value = "${comment}")
    private Long id;
    /**
     * 关联考试id
     */
    @Excel(name = "关联考试id")
    @ApiModelProperty(value = "关联考试id")
    private Long examId;
    /**
     * 关联证书id
     */
    @ApiModelProperty(value = "关联证书id")
    private Long certId;

    @ApiModelProperty(value = "关联证书名称")
    private String certTitle;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public Long getExamId() {
        return examId;
    }

    public void setCertId(Long certId) {
        this.certId = certId;
    }

    public Long getCertId() {
        return certId;
    }

    public String getCertTitle() {
        return certTitle;
    }

    public void setCertTitle(String certTitle) {
        this.certTitle = certTitle;
    }
}
